package org.w3c.rdfpic.core;

/**
 *
 * For those classes that need to know when a schema is added/removed or enabled/disabled.
 * The implementing object be registered with RdfPicCore.
 */
public interface SchemaListener
{
    /**
     * Called when a schema is added.
     */
    public void addingSchema();//Always at end, enabled by default
    //    public void removingSchema(int index);
    public void enablingSchema(int index);
    public void disablingSchema(int index);
}
